drop older db's on the tp-c01 cluster

RESOLVED FIXED

Status

Data & BI Services Team
DB: MySQL
RESOLVED FIXED
6 years ago
3 years ago

People

(Reporter: sheeri, Assigned: sheeri)

Tracking

Details

(Assignee)

Description

6 years ago
tm-c01-master01
tm-c01-slave01

need to be moved.

There is already:
tp-c01-master01
tp-c01-slave01

So I need to make sure the backups are happening on the right server (backup2.db.phx1) and work to ensure everything is moved over.
(Assignee)

Comment 1

6 years ago
Backups do in fact work, both raw copies and sqldumps:

[root@backup2.db.phx1 c01]# ls -lrth rawcopies/
total 24G
-rwx------ 1 root root 4.8G May  2 16:12 c01.2012.05.02.tar.gz
-rwx------ 1 root root 4.8G May  3 16:12 c01.2012.05.03.tar.gz
-rwx------ 1 root root 4.8G May  4 16:12 c01.2012.05.04.tar.gz
-rwx------ 1 root root 4.8G May  5 16:12 c01.2012.05.05.tar.gz
-rwx------ 1 root root 4.8G May  6 16:12 c01.2012.05.06.tar.gz
[root@backup2.db.phx1 c01]# ls -lrth sqldumps/basket_mozilla_com/
total 345M
-rwx------ 1 root root 1.5K May  3 22:03 basket_mozilla_com.2012.05.03.slaveinfo
-rwx------ 1 root root  87M May  3 22:03 basket_mozilla_com.2012.05.03.sql.gz
-rwx------ 1 root root 1.5K May  4 22:03 basket_mozilla_com.2012.05.04.slaveinfo
-rwx------ 1 root root  87M May  4 22:04 basket_mozilla_com.2012.05.04.sql.gz
-rwx------ 1 root root 1.5K May  5 22:03 basket_mozilla_com.2012.05.05.slaveinfo
-rwx------ 1 root root  87M May  5 22:04 basket_mozilla_com.2012.05.05.sql.gz
-rwx------ 1 root root 1.5K May  6 22:03 basket_mozilla_com.2012.05.06.slaveinfo
-rwx------ 1 root root  87M May  6 22:03 basket_mozilla_com.2012.05.06.sql.gz
(Assignee)

Comment 2

6 years ago
Added Jason to this - right now here's a list of the databases that have been *written to* in the past 60 days:

    addons_forums_phpbb
    blog_lizardwrangler
    blog_mozilla_com_wp
    brendaneich_com
    byob
    firefoxflicks_wp_backstage
    getfirebug_blog
    hacks_mozilla_org_wp
    labs_wpmu
    mozilla_europe
    mpl_mozilla_org
    pastebin
    priorartshare_wp
    quality_mozilla_org
    quality_mozilla_org_wp
    rockyourfirefox_com
    wiki_mdc19
    wiki_mozorg10
    wordpress_mdc 

Databases may have since moved. Also as of May 1st, here are the following databases used and connections made (general log turned on for an hour, so there may be more than this):
users:
     basket@10.2.74.130
     byob@10.22.74.132
     devmowordpress@10.2.81.30
     devmowordpress@10.2.81.49
     devmowordpress@10.2.81.50
databases:
     byob
     mysql
     wordpress_mdc
     basket_mozilla_com
(Assignee)

Comment 3

6 years ago
Also, FYI the same cron jobs are on tm-c01 cluster as are on tp-c01-cluster.

So as soon as tm-c01 is actually no longer being used we can turn it off, as far as I'm concerned.
(Assignee)

Comment 4

6 years ago
[16:38:19] <sheeri> how's the c01 stuff coming along?
[16:39:46] <jd> i am soooo frusterated with this right now, I am getting nowhere, I am still digging for information, when I try and move the cron jobs to phx, where the sites are now and the data is supposedly identical, there are code inconsistances so the cron jobs break but I am told this is not possible (it is possible, I am looking at it)
[16:48:21] <jd> i actually doubt my ability to figure this out TBH
[16:48:21] <sheeri> Let me know what I can do to help, but the db machines get physically turned off tomorrow. :(
[16:48:42] <sheeri> well, I'll make sure to copy the logs I can before the move tomorrow and we can reverse engineer if need be.
[16:48:46] <jd> i realize that but am really stuck, this is terribly confusing
[16:48:52] <jd> okay
(Assignee)

Comment 5

6 years ago
Here are the connections and where they're coming from:

     basket@10.2.74.130
     byob@10.22.74.132
     devmowordpress@10.2.81.30
     devmowordpress@10.2.81.49
     devmowordpress@10.2.81.50
     mozwiki@10.2.81.29

That's all on the master (tm-c01).

The slave has nothing connecting, so that's good.

jd fixed basket, which was coming from mradm02.mozilla.org


byob is coming from byob-app1.dmz.scl3.mozilla.com

devmowordpress is coming from pm-dekiwiki01.mozilla.org, pm-dekiwiki02.mozilla.org and pm-dekiwiki03.mozilla.org

mozwiki is coming from mrapp-stage02.mozilla.org
(Assignee)

Comment 6

6 years ago
Adding jakem for the devmowordpress user and mozwiki users.....
Go ahead and drop wiki_mozorg10
I can't find any references to wiki_mdc19 in relation to wiki.mozilla.org, the mdc in the name makes me think it's an older database for mozilla developer center, akak mdn aka mdn, and has some relation to wiki_mdc and wiki_mdc_cluster, but that's all I can tell at this time.

Comment 9

6 years ago
wordpress_mdc is scheduled to move to SCL3 during tomorrow's maintenance. After that it will be drop-able.

wiki_mdc19 does not appear anywhere on the admin node for MDN. If we have an up-to-date backup, it is safe to drop. As Brandon said I suspect it's an earlier incarnation of MDN and not currently in use.
(Assignee)

Comment 10

6 years ago
well, tm-c01 master/slave is turned off....so hopefully everything is moved.

I haven't dropped those older db's though, and still have to.
(Assignee)

Updated

5 years ago
Summary: move the tm-c01 cluster → drop older db's on the tp-c01 cluster
(Assignee)

Comment 11

5 years ago
archiving and dropping:

wiki_mozorg10
wiki_mdc19
wordpress_mdc


(in the archiving stage right now, archiving to tp-c01-master01:/root/archive)
(Assignee)

Comment 12

5 years ago
Databases dropped, cleared up 5G of space (only 30G used now).
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Product: mozilla.org → Data & BI Services Team
You need to log in before you can comment on or make changes to this bug.